// Imitation of Visual Basic MsgBox function
// Requires chrome://global/content/commonDialog.xul
function openMsgBox(prompt, buttons, title, header)
{
	// set defaults
	if (title == undefined) title = document.top ? document.top.title : document.title;
	if (title == "") title = document.documentElement.getAttribute("title");
	if (buttons == undefined) buttons = 0;


	var params = Components.classes["@mozilla.org/embedcomp/dialogparam;1"].createInstance(Components.interfaces.nsIDialogParamBlock);
	params.SetString(12, title); // title
	params.SetString(3, header); // header
	params.SetString(0, prompt); // prompt


	// buttons
	switch (buttons & 15)
	{
		case 0: params.SetInt(2, 1); break;
		case 1: break;
		case 2: params.SetInt(2, 3); params.SetString(8, "&Abort"); params.SetString(10, "&Retry"); params.SetString(9, "&Ignore"); break;
		case 3: params.SetInt(2, 3); params.SetString(8, "Yes"); params.SetString(10, "No"); break;
		case 4: params.SetString(8, "Yes"); params.SetString(9, "No"); break;
		case 5: params.SetString(8, "&Retry"); break;
		default: throw 'Invalid argument "buttons"';
	}

	// icon style
	switch (buttons & 112)
	{
		case 16: params.SetString(2, "error-icon"); break;
		case 32: params.SetString(2, "question-icon"); break;
		case 48: params.SetString(2, "alert-icon"); break;
		case 0:
		case 64: params.SetString(2, "message-icon"); break;
		default: throw 'Invalid argument "buttons"';
	}

	// default button
	switch (buttons & 768)
	{
		case 0: params.SetInt(5, 0); break;
		case 256: params.SetInt(5, params.GetInt(2) == 3 ? 2 : 1); break;
		case 512: params.SetInt(5, 1); break;
		default: throw 'Invalid argument "buttons"';
	}

	window.openDialog("cdialog/commonDialog.xul", "_blank", "modal", params);

	rList = [[1], [1, 2], [3, 5, 4], [6, 2, 7], [6, 7], [4, 2]];
	if ((r = params.GetInt(0)) < 0) return 0;
	else return rList[buttons & 15][r];
}