// const prefs (defined in general.js)
const prefBools = ["smallIcons", "guidReadOnly", "itemPubDateAuto", "lastBuildDateAuto", "publishPubDateAuto", "UTCTime"];

function getPrefs()
{
	for (var i in prefBools) document.getElementById(prefBools[i]).checked = prefs.getBoolPref(prefBools[i]);
}

function setPrefs()
{
	for (var i in prefBools) prefs.setBoolPref(prefBools[i], document.getElementById(prefBools[i]).checked);
}

function init()
{
	buttonApply = document.documentElement.getButton("help");
	buttonApply.accessKey = "A";
	setLabelForNode(buttonApply, localize("Apply"));

	getPrefs();

	moveToCenterPosition();
}